Subject: Re: bug#25493: 26.0.50; ediff merge should (optionally) show ancestor in fourth window

From: [email-masked]
Date: Mon, 27 Feb 2017 23:42:58 -0500

Tino Calancha <[email-masked]> writes:

> On Sun, 26 Feb 2017, Charles A. Roelli wrote:
>
>> Wow, well done.  Has this been committed yet?
> No yet.  I am waiting for aproval.
> People must be busy preparing the Emacs 25.2 release.

It's a big patch, I haven't had time to digest the whole thing yet, but
I'm wondering about why do we need both "\ show/hide ancestor" and "/
-show ancestor buff"?

         ~ -swap variants |     s -shrink window C    |  / -show ancestor buff
                          |  $$ -show clashes only    |  & -merge w/new default
                          |  $* -skip changed regions |
    +                     |  $% -all ancestor diffs   |
    +                     |  \\ -show/hide ancestor    |